#include "RemoteGuiAronDataVisitor.h"


namespace armarx::armem
{

    RemoteGuiAronDataVisitor::~RemoteGuiAronDataVisitor()
    {}

    bool RemoteGuiAronDataVisitor::visitEnter()
    {
        groups.push(GroupBox());
        return true;
    }

    bool RemoteGuiAronDataVisitor::visitExit()
    {
        GroupBox group = groups.top();
        groups.pop();
        if (groups.size() > 0)
        {
            groups.top().addChild(group);
        }
        else
        {
            result = group;
        }
        return true;
    }

    void RemoteGuiAronDataVisitor::streamValueText(AronStringDataNavigator& n, std::stringstream& ss)
    {
        ss << "'" << n.getValue() << "'";
    }

    void RemoteGuiAronDataVisitor::streamValueText(AronNDArrayDataNavigator& n, std::stringstream& ss)
    {
        // No useful data in n
        (void) n;
        ss << "<NdArray>";
    }

}
